Package Details: gargoyle 2011.1-5

Git Clone URL: (read-only)
Package Base: gargoyle
Description: Interactive Fiction multi-interpreter that supports all major IF formats.
Upstream URL:
Licenses: GPL
Groups: inform
Conflicts: gargoyle-mod
Provides: gargoyle
Replaces: gargoyle-mod
Submitter: beej
Maintainer: None
Last Packager: beej
Votes: 6
Popularity: 0.109021
First Submitted: 2015-08-18 06:50
Last Updated: 2015-08-18 07:20

Latest Comments

SpaghettiCat commented on 2016-09-18 09:18

I've added an AUR package "gargoyle-git" because stable is so old.

SpaghettiCat commented on 2016-09-18 08:03

The solution is to change the line in PKGBUILD from:

sed -i "s|OPTIM = -O2 ;|OPTIM = ${CFLAGS} ;|" Jamrules


sed -i 's|OPTIM = -O2 $(CFLAGS) ;|OPTIM = ${CFLAGS} -std=c++11 ;|' Jamrules


Note the sed replace command had to be altered as well, in order for it to match.

Azrael85 commented on 2016-08-15 09:05

Have any of you get this installed??

I'm getting the same problem heere.

beej commented on 2016-07-21 22:54

Adding this gets it farther in an ugly, awful way:

CFLAGS="-fpermissive" jam

But it still fails on link. I don't have time to maintain. :(

cnte commented on 2016-06-30 16:47

Fails to compile with makepkg. Seems to be related to this warning:

ar: `u' modifier ignored since `D' is the default (see `U')

Full log here: